package springtutorial;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Service;

@Service("devPrint")
@Scope("prototype")
public class DevelopmentPrinter implements IPrinter {
	private int lineNumber;
	
	@Override
	public void print(String line) {
		System.out.print("Development["+ lineNumber++ +"]: ");
		System.out.println(line);		
	}

}
